<?php
$tdataHO___Calls_Summary=array();
	$tdataHO___Calls_Summary[".NumberOfChars"]=80; 
	$tdataHO___Calls_Summary[".ShortName"]="HO___Calls_Summary";
	$tdataHO___Calls_Summary[".OwnerID"]="";
	$tdataHO___Calls_Summary[".OriginalTable"]="calls";


	
//	field labels
$fieldLabelsHO___Calls_Summary = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsHO___Calls_Summary["English"]=array();
	$fieldToolTipsHO___Calls_Summary["English"]=array();
	$fieldLabelsHO___Calls_Summary["English"]["Date"] = "Date";
	$fieldToolTipsHO___Calls_Summary["English"]["Date"] = "";
	$fieldLabelsHO___Calls_Summary["English"]["Executive_Name"] = "Executive Name";
	$fieldToolTipsHO___Calls_Summary["English"]["Executive Name"] = "";
	$fieldLabelsHO___Calls_Summary["English"]["COUNT"] = "COUNT";
	$fieldToolTipsHO___Calls_Summary["English"]["COUNT"] = "";
	$fieldLabelsHO___Calls_Summary["English"]["Customer_Status"] = "Customer Status";
	$fieldToolTipsHO___Calls_Summary["English"]["Customer Status"] = "";
	$fieldLabelsHO___Calls_Summary["English"]["Region"] = "Region";
	$fieldToolTipsHO___Calls_Summary["English"]["Region"] = "";
	if (count($fieldToolTipsHO___Calls_Summary["English"])){
		$tdataHO___Calls_Summary[".isUseToolTips"]=true;
	}
}


	
	$tdataHO___Calls_Summary[".NCSearch"]=true;

	

$tdataHO___Calls_Summary[".shortTableName"] = "HO___Calls_Summary";
$tdataHO___Calls_Summary[".nSecOptions"] = 0;
$tdataHO___Calls_Summary[".recsPerRowList"] = 1;	
$tdataHO___Calls_Summary[".tableGroupBy"] = "1";
$tdataHO___Calls_Summary[".mainTableOwnerID"] = "";
$tdataHO___Calls_Summary[".moveNext"] = 1;




$tdataHO___Calls_Summary[".showAddInPopup"] = false;

$tdataHO___Calls_Summary[".showEditInPopup"] = false;

$tdataHO___Calls_Summary[".showViewInPopup"] = false;


$tdataHO___Calls_Summary[".fieldsForRegister"] = array();

$tdataHO___Calls_Summary[".listAjax"] = false;

	$tdataHO___Calls_Summary[".audit"] = false;

	$tdataHO___Calls_Summary[".locking"] = false;
	
$tdataHO___Calls_Summary[".listIcons"] = true;
$tdataHO___Calls_Summary[".edit"] = true;
$tdataHO___Calls_Summary[".inlineEdit"] = true;
$tdataHO___Calls_Summary[".view"] = true;

$tdataHO___Calls_Summary[".exportTo"] = true;

$tdataHO___Calls_Summary[".printFriendly"] = true;

$tdataHO___Calls_Summary[".delete"] = true;

$tdataHO___Calls_Summary[".showSimpleSearchOptions"] = false;

$tdataHO___Calls_Summary[".showSearchPanel"] = true;


$tdataHO___Calls_Summary[".isUseAjaxSuggest"] = true;



// button handlers file names

$tdataHO___Calls_Summary[".addPageEvents"] = false;


// use datepicker for search panel
$tdataHO___Calls_Summary[".isUseCalendarForSearch"] = true;

// use timepicker for search panel
$tdataHO___Calls_Summary[".isUseTimeForSearch"] = false;

$tdataHO___Calls_Summary[".isUseiBox"] = false;



$tdataHO___Calls_Summary[".isUseInlineJs"] = $tdataHO___Calls_Summary[".isUseInlineAdd"] || $tdataHO___Calls_Summary[".isUseInlineEdit"];

$tdataHO___Calls_Summary[".allSearchFields"] = array();

$tdataHO___Calls_Summary[".globSearchFields"][] = "COUNT";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("COUNT", $tdataHO___Calls_Summary[".allSearchFields"]))
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "COUNT";	
}
$tdataHO___Calls_Summary[".globSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataHO___Calls_Summary[".allSearchFields"]))
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Date";	
}
$tdataHO___Calls_Summary[".globSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataHO___Calls_Summary[".allSearchFields"]))
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Executive Name";	
}
$tdataHO___Calls_Summary[".globSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataHO___Calls_Summary[".allSearchFields"]))
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Customer Status";	
}
$tdataHO___Calls_Summary[".globSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataHO___Calls_Summary[".allSearchFields"]))
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Region";	
}


$tdataHO___Calls_Summary[".googleLikeFields"][] = "COUNT";
$tdataHO___Calls_Summary[".googleLikeFields"][] = "Date";
$tdataHO___Calls_Summary[".googleLikeFields"][] = "Executive Name";
$tdataHO___Calls_Summary[".googleLikeFields"][] = "Customer Status";
$tdataHO___Calls_Summary[".googleLikeFields"][] = "Region";

$tdataHO___Calls_Summary[".panelSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Date";	
}


$tdataHO___Calls_Summary[".advSearchFields"][] = "COUNT";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("COUNT", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "COUNT";	
}
$tdataHO___Calls_Summary[".advSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Date";	
}
$tdataHO___Calls_Summary[".advSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Executive Name";	
}
$tdataHO___Calls_Summary[".advSearchFields"][] = "Customer Status";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Customer Status", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Customer Status";	
}
$tdataHO___Calls_Summary[".advSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataHO___Calls_Summary[".allSearchFields"])) 
{
	$tdataHO___Calls_Summary[".allSearchFields"][] = "Region";	
}

$tdataHO___Calls_Summary[".isTableType"] = "report";

$tdataHO___Calls_Summary[".reportGroupFields"] = true;

	

$tdataHO___Calls_Summary[".isDisplayLoading"] = true;

$tdataHO___Calls_Summary[".isResizeColumns"] = false;


$tdataHO___Calls_Summary[".noRecordsFirstPage"] = true;




$gstrOrderBy = "ORDER BY Date(Date) DESC";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataHO___Calls_Summary[".strOrderBy"] = $gstrOrderBy;
	
$tdataHO___Calls_Summary[".orderindexes"] = array();
$tdataHO___Calls_Summary[".orderindexes"][] = array(2, (0 ? "ASC" : "DESC"), "Date(Date)");

$tdataHO___Calls_Summary[".sqlHead"] = "SELECT COUNT(calls.idCalls) AS `COUNT`,  Date(Date) AS `Date`,  calls.`Executive Name`,  customer_list.`Customer Status`,  customer_list.Region";
$tdataHO___Calls_Summary[".sqlFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$tdataHO___Calls_Summary[".sqlWhereExpr"] = "";
$tdataHO___Calls_Summary[".sqlTail"] = "GROUP BY Date(Date), calls.`Executive Name`, customer_list.`Customer Status`";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataHO___Calls_Summary[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataHO___Calls_Summary[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tdataHO___Calls_Summary[".Keys"] = $tableKeys;

//	COUNT
	$fdata = array();
	$fdata["strName"] = "COUNT";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 3;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "COUNT";
	
		$fdata["FullName"]= "COUNT(calls.idCalls)";
	
		
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Summary["COUNT"]=$fdata;
//	Date
	$fdata = array();
	$fdata["strName"] = "Date";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 135;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Date";
	$fdata["ViewFormat"]= "Short Date";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Date";
	
		$fdata["FullName"]= "Date(Date)";
	
		
		
		
		
		
				$fdata["Index"]= 2;
		$fdata["DateEditType"] = 13; 
	$fdata["InitialYearFactor"] = 100; 
	$fdata["LastYearFactor"] = 10; 
			
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Summary["Date"]=$fdata;
//	Executive Name
	$fdata = array();
	$fdata["strName"] = "Executive Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Executive_Name";
	
		$fdata["FullName"]= "calls.`Executive Name`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Summary["Executive Name"]=$fdata;
//	Customer Status
	$fdata = array();
	$fdata["strName"] = "Customer Status";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Status";
	
		$fdata["FullName"]= "customer_list.`Customer Status`";
	
		
		
		
		
		
				$fdata["Index"]= 4;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Summary["Customer Status"]=$fdata;
//	Region
	$fdata = array();
	$fdata["strName"] = "Region";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region";
	
		$fdata["FullName"]= "customer_list.Region";
	
		
		
		
		
		
				$fdata["Index"]= 5;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataHO___Calls_Summary["Region"]=$fdata;

	
$tables_data["HO - Calls Summary"]=&$tdataHO___Calls_Summary;
$field_labels["HO___Calls_Summary"] = &$fieldLabelsHO___Calls_Summary;
$fieldToolTips["HO - Calls Summary"] = &$fieldToolTipsHO___Calls_Summary;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["HO - Calls Summary"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["HO - Calls Summary"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto18=array();
$proto18["m_strHead"] = "SELECT";
$proto18["m_strFieldList"] = "COUNT(calls.idCalls) AS `COUNT`,  Date(Date) AS `Date`,  calls.`Executive Name`,  customer_list.`Customer Status`,  customer_list.Region";
$proto18["m_strFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$proto18["m_strWhere"] = "";
$proto18["m_strOrderBy"] = "ORDER BY Date(Date) DESC";
$proto18["m_strTail"] = "GROUP BY Date(Date), calls.`Executive Name`, customer_list.`Customer Status`";
$proto19=array();
$proto19["m_sql"] = "";
$proto19["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto19["m_column"]=$obj;
$proto19["m_contained"] = array();
$proto19["m_strCase"] = "";
$proto19["m_havingmode"] = "0";
$proto19["m_inBrackets"] = "0";
$proto19["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto19);

$proto18["m_where"] = $obj;
$proto21=array();
$proto21["m_sql"] = "";
$proto21["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto21["m_column"]=$obj;
$proto21["m_contained"] = array();
$proto21["m_strCase"] = "";
$proto21["m_havingmode"] = "0";
$proto21["m_inBrackets"] = "0";
$proto21["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto21);

$proto18["m_having"] = $obj;
$proto18["m_fieldlist"] = array();
						$proto23=array();
			$proto24=array();
$proto24["m_functiontype"] = "SQLF_COUNT";
$proto24["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "idCalls",
	"m_strTable" => "calls"
));

$proto24["m_arguments"][]=$obj;
$proto24["m_strFunctionName"] = "COUNT";
$obj = new SQLFunctionCall($proto24);

$proto23["m_expr"]=$obj;
$proto23["m_alias"] = "COUNT";
$obj = new SQLFieldListItem($proto23);

$proto18["m_fieldlist"][]=$obj;
						$proto26=array();
			$proto27=array();
$proto27["m_functiontype"] = "SQLF_CUSTOM";
$proto27["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto27["m_arguments"][]=$obj;
$proto27["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto27);

$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "Date";
$obj = new SQLFieldListItem($proto26);

$proto18["m_fieldlist"][]=$obj;
						$proto29=array();
			$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto29["m_expr"]=$obj;
$proto29["m_alias"] = "";
$obj = new SQLFieldListItem($proto29);

$proto18["m_fieldlist"][]=$obj;
						$proto31=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto31["m_expr"]=$obj;
$proto31["m_alias"] = "";
$obj = new SQLFieldListItem($proto31);

$proto18["m_fieldlist"][]=$obj;
						$proto33=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "customer_list"
));

$proto33["m_expr"]=$obj;
$proto33["m_alias"] = "";
$obj = new SQLFieldListItem($proto33);

$proto18["m_fieldlist"][]=$obj;
$proto18["m_fromlist"] = array();
												$proto35=array();
$proto35["m_link"] = "SQLL_MAIN";
			$proto36=array();
$proto36["m_strName"] = "calls";
$proto36["m_columns"] = array();
$proto36["m_columns"][] = "idCalls";
$proto36["m_columns"][] = "Date";
$proto36["m_columns"][] = "Call Details";
$proto36["m_columns"][] = "Executive Name";
$proto36["m_columns"][] = "Customer Name";
$obj = new SQLTable($proto36);

$proto35["m_table"] = $obj;
$proto35["m_alias"] = "";
$proto37=array();
$proto37["m_sql"] = "";
$proto37["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto37["m_column"]=$obj;
$proto37["m_contained"] = array();
$proto37["m_strCase"] = "";
$proto37["m_havingmode"] = "0";
$proto37["m_inBrackets"] = "0";
$proto37["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto37);

$proto35["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto35);

$proto18["m_fromlist"][]=$obj;
												$proto39=array();
$proto39["m_link"] = "SQLL_INNERJOIN";
			$proto40=array();
$proto40["m_strName"] = "customer_list";
$proto40["m_columns"] = array();
$proto40["m_columns"][] = "idCL";
$proto40["m_columns"][] = "Created on";
$proto40["m_columns"][] = "Region";
$proto40["m_columns"][] = "Customer Name";
$proto40["m_columns"][] = "Address";
$proto40["m_columns"][] = "City";
$proto40["m_columns"][] = "State";
$proto40["m_columns"][] = "Country";
$proto40["m_columns"][] = "Postal Code";
$proto40["m_columns"][] = "Web address";
$proto40["m_columns"][] = "Area";
$proto40["m_columns"][] = "Customer_Category";
$proto40["m_columns"][] = "Breif About the Company";
$proto40["m_columns"][] = "Existing Setup";
$proto40["m_columns"][] = "Interaction Summary";
$proto40["m_columns"][] = "Commercial Summary";
$proto40["m_columns"][] = "Customer Status";
$proto40["m_columns"][] = "Assigned Executive";
$proto40["m_columns"][] = "Assigned Date";
$proto40["m_columns"][] = "Last Updated on";
$obj = new SQLTable($proto40);

$proto39["m_table"] = $obj;
$proto39["m_alias"] = "";
$proto41=array();
$proto41["m_sql"] = "calls.`Customer Name` = customer_list.`Customer Name`";
$proto41["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto41["m_column"]=$obj;
$proto41["m_contained"] = array();
$proto41["m_strCase"] = "= customer_list.`Customer Name`";
$proto41["m_havingmode"] = "0";
$proto41["m_inBrackets"] = "0";
$proto41["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto41);

$proto39["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto39);

$proto18["m_fromlist"][]=$obj;
$proto18["m_groupby"] = array();
												$proto43=array();
						$proto44=array();
$proto44["m_functiontype"] = "SQLF_CUSTOM";
$proto44["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto44["m_arguments"][]=$obj;
$proto44["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto44);

$proto43["m_column"]=$obj;
$obj = new SQLGroupByItem($proto43);

$proto18["m_groupby"][]=$obj;
												$proto46=array();
						$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto46["m_column"]=$obj;
$obj = new SQLGroupByItem($proto46);

$proto18["m_groupby"][]=$obj;
												$proto48=array();
						$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto48["m_column"]=$obj;
$obj = new SQLGroupByItem($proto48);

$proto18["m_groupby"][]=$obj;
$proto18["m_orderby"] = array();
												$proto50=array();
						$proto51=array();
$proto51["m_functiontype"] = "SQLF_CUSTOM";
$proto51["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto51["m_arguments"][]=$obj;
$proto51["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto51);

$proto50["m_column"]=$obj;
$proto50["m_bAsc"] = 0;
$proto50["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto50);

$proto18["m_orderby"][]=$obj;					
$obj = new SQLQuery($proto18);

$queryData_HO___Calls_Summary = $obj;
$tdataHO___Calls_Summary[".sqlquery"] = $queryData_HO___Calls_Summary;

$tableEvents["HO - Calls Summary"] = new eventsBase;

?>
